import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Broadway extends World
{
    private GreenfootSound g = new GreenfootSound("swingsong.mp3");
    public Broadway()
    {    
        super(1200, 655, 1); 
        this.fillWorld();
    }

    public void fillWorld() {
        Dancer d = new Dancer();
        this.addObject(d, 542, 498);
    }

    public void act() {
        if(Greenfoot.getRandomNumber(1000) > 990) {
            Regentropfen r = new Regentropfen();
            this.addObject(r, Greenfoot.getRandomNumber(1200), 0);
        }
    }

    public void started() {
        this.g.playLoop();
    }

    public void stopped() {
        this.g.stop();
    }
}